/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Entry point of Proxan													*/
/*	~~~~~~~~~~~~~~~~~~~~~													*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <types.h>
#include <proxan.h>
#include <memory.h>
#include <options.h>
#include <gui.h>


int		gui;

/*
*	This is where all starts...
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

int		main( int argc, char **argv )
{
char	*home;
char	*opts;
int		nogui;

	// First, load the gtk options from the command line
	
	gtk_init( &argc, &argv );
	
	// Load built-in defaults for options
	
	OptionsLoadDefaults();
	
	// Load the default options file, if it exists
	
	if ( ( home = getenv( "HOME" ) ) ) {
	
		opts = Malloc( strlen( home ) + strlen( RESOURCE_FILE ) + 2 );
		sprintf( opts, "%s/%s", home, RESOURCE_FILE );
		OptionsLoadFile( opts, NULL );
		Free( opts );
	}
	
	// If the first argument is "-batch" then we are in command line
	// mode
	
	if ( argc > 1 && ! strcmp( argv[ 1 ], "-batch" ) ) {
	
		// Command line mode
		
		gui = FALSE;
		
		;
	}
	else {
	
		// GUI mode, build the GUI nad pass control to GTK
		
		gui = TRUE;
		TopwinCreate();
		gtk_main();
	}
	
	exit( 0 );
}
