/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	GUI image viewport functionality										*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~										*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __CANVAS_H__
#define __CANVAS_H__

#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <types.h>
#include <job.h>

/****************************************************************************/
/*							Public functions								*/
/****************************************************************************/

/*
*	Creates the image canvas and possibly scrollbars
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

GtkWidget	*JobCanvasCreate( JOB jp );

/*
*	Sets the magnification
*	~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobCanvasMagnify( JOB job, int new );

/*
*	Destroys the canvas and the viewport
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	We destroy the canvas itself, that will notify the
*	container window that there's nothing to hold any more.
*	We then can destroy the raw RGB image.
*/

void	JobCanvasDestroy( JOB job );

/*
*	Creates the image that is being displayed
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobCanvasRefresh( JOB job );

/*
*	Calculates the mark according to current objects
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	It also recalculates the foreground
*/

void	JobCanvasObjectMap( JOB job );

/*
*	Creates the foreground image
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobCanvasForeground( JOB job );

#endif
