/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Individual image processing - processing internal functions				*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~				*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __JOB_PROCESS_H__
#define __JOB_PROCESS_H__

#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <types.h>
#include <image.h>
#include <job.h>
#include <dlinklist.h>

/*
*	Releases all process related resources of an image 
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobRelease( JOB job );

/*
*	Preprocesses the image for a given job
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Returns 1 if succeeded, 0 if there was nothing to do and -1
*	if it was aborted.
*/

int		JobSeparate( JOB job );

/*
*	Equalises and gamma corrects an image
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

int		JobEqualise( JOB job );

/*
*	Extracts the objects from the preprocessed image
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Returns if it actually did something
*/

int		JobExtract( JOB job );

/*
*	Maps the distances of the reference and active objects
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Returns if it actually did something
*/

int		JobDistance( JOB job );

/*
*	Processes the statistics for an image
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

int		JobStats( JOB job );

/*
*	Invalidates anything that is affected by confinement changes
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobConfinementChanged( JOB job );

#endif
