/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	GUI image window functionality											*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~											*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __JOBGUI_H__
#define	__JOBGUI_H__

#include "job.h"

/****************************************************************************/
/*						Interface functions									*/
/****************************************************************************/

/*
*	Creates a new job instance with the given filename
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	It receives a filename to load and a function that will be
*	called if the user wants to close the window.
*
*	Returns whether it managed to open and read in the file.
*/

JOB		*JobCreate( char *file, void (*destroy)(JOB *) );

/*
*	Closes a job, releasing everything associated with it
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	JobClose( JOB *job );

#endif
