/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Memory allocator interface												*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~												*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __MEMORY_H__
#define __MEMORY_H__

typedef	enum {

	memObject,
	memPixel,
	memSdiv,
	memQitem,
	memDist,
	memOvlp,
	memTria,
	memLast

} memType;

/*
*	Allocates an element from a pool
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	*MallocPool( memType pool, int size );

/*
*	Allocates an array of objects
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	*MallocArray( int y, int x, int size );

/*
*	Allocates a block of memory
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	*Malloc( int size );

/*
*	Deallocates a bit of memory
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	Free( void *mem );

void	MallocTrackDump( char * );

#endif
