/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Progress reporting														*/
/*	~~~~~~~~~~~~~~~~~~														*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __PROGRESS_H__
#define	__PROGRESS_H__

#include <setjmp.h>

/*
*	Sets the filename in the progress box
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Parameters
*		name	The text to write
*
*	Return value
*		-
*/

void	ProgressText( char *name );

/*
*	This function initialises the progress bar
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Parameters
*		title		The text written onto the progress bar
*		state		State that will be jumped to if the user aborts
*
*	Return value
*/

void		ProgressInit( char *title, jmp_buf state );

/*
*	This function updates the progress bar
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Parameters
*		now		The progress indicator's current value
*		last	The progress indicator's end value
*
*	Return value
*		-
*/

void	ProgressUpdate( int now, int last );

/*
*	This function indicates that processing is finished
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Parameters
*		-
*
*	Return value
*		-
*/

void	ProgressDone( void );

/*
*	This function indicates that processing should be aborted
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	Parameters
*		-
*
*	Return value
*		-
*
*	If there is processing running then the next call to ProgressUpdate()
*	will result in ProgressInit() returning again with a TRUE flag
*	ProgressAbort() in itself does NOT abort the processing!
*/

void	ProgressAbort( void );

#endif

