/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Random object list related functionality								*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~								*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __RANDOMLIST_H__
#define __RANDOMLIST_H__

#include <types.h>
#include <dlinklist.h>
// #include <objects.h>


/*
*	Creates a random object series based on the template
*
*	Parameters:
*
*		box		The bounding box of the useful area
*		res		The resulting list of objects
*		tmpl	Template list
*		conf	Object list of the confinement area
*
*	Return value:
*
*		A flag indicating success of failure
*
*	Although the newly created object list looks like as if it was
*	a true object list, in fact it is just a reference list to the
*	template list. Therefore, it is imperative that it is *NOT* freed
*	by the ObjectFree() or ObjectFreeList() functions but only using
*	RandomListFree function, provided in this file.
*/

int		RandomListCreate( RECT *box, DLINK *res, DLINK *tmpl, DLINK *conf );

/*
*	Frees a random list
*	~~~~~~~~~~~~~~~~~~~
*	Parameters:
*
*		list	The list to free
*
*	Return value:
*		-
*	
*/

void	RandomListFree( DLINK *list );

#endif
